For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get Open Items report

Make an ad hoc Open Items report (this is not stored). Optionally filter on stores. The report is in XLSX spreadsheet format.

Required permissions: REPORT_ADMIN

post
/tenants/{tenantUid}/organizations/{organizationUid}/reports/open-items
Authorizations
AuthorizationstringRequired

Token received from the auth service

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
organizationUidstringRequired

Reference to an organization.

Pattern: ^[A-Za-z0-9-_]+
Body
storeUidsstring[]Optional
Responses
201

Example response

post/tenants/{tenantUid}/organizations/{organizationUid}/reports/open-items
POST /v2/tenants/{tenantUid}/organizations/{organizationUid}/reports/open-items HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 22

{
  "storeUids": [
    "text"
  ]
}
201

Example response

{
  "items": [
    {
      "store": {
        "storeUid": "text",
        "name": "text",
        "vatNumber": "text"
      },
      "customer": {
        "customerUid": "text",
        "displayName": "text",
        "ledgerNumber": "text"
      },
      "orderUid": "text",
      "orderNumber": "text",
      "voucherNumber": "text",
      "settlementUid": "text",
      "settlementCode": "text",
      "settledAt": "2026-01-01T00:00:00.000Z",
      "amount": 1,
      "dueDate": "2026-01-01",
      "dueAmount": 1
    }
  ]
}

Last updated

Was this helpful?